#ifndef EDITDBDIALOG_H
#define EDITDBDIALOG_H

#include <QDialog>
#include <QSqlQueryModel>
#include <QSqlQuery>
#include <QSqlDatabase>
#include <QMessageBox>


namespace Ui {
class editDBDialog;
}

class editDBDialog : public QDialog
{
    Q_OBJECT

public:
    explicit editDBDialog(QSqlDatabase db, QWidget *parent = nullptr);
    ~editDBDialog();

    void refresh();

private slots:
    void on_changeTableBtn_clicked();

    void on_runQueryBtn_clicked();

    void on_clearBtn_clicked();

private:
    Ui::editDBDialog *ui;
    QSqlDatabase db;
};

#endif // EDITDBDIALOG_H

/*
 CREATE TABLE agents(name TEXT, surname TEXT, age INT);
 INSERT INTO agents VALUES ('Alex', 'Mason', 41),
                           ('Frank', 'Woods', 37);
 UPDATE agents
 SET age = 38
 WHERE name = 'Frank'
*/
